<!-- <div class="container"> -->
<!-- <div class="row">
  <div class="col-md-6 offset-md-3"> -->

<!--<input class="search-bar" type="text" placeholder="הקלידו שם ישוב / מחוז / מוסד">-->
<div class="input-group">
  <ng-template #rt let-r="result" let-t="term">
    <span class="floatRight"> {{r.Shem}} -  {{r.Semel}}  {{r.Address}} </span>
    <span class="floatLeft"> {{convertMode(r.Mode)}} </span>
  </ng-template>
  <input id="typeahead-focus"
         type="text"
         class="search-bar"
         [(ngModel)]="model"
         [ngbTypeahead]="search"
         [resultTemplate]="rt"
         [inputFormatter]="formatter"
         (keyup.enter)="searchChange($event)"
         placeholder="הקלידו שם ישוב / מחוז / מוסד" />
  <div class="input-group-btn">
    <button type="button" class="btn btn-primary btn-lg" (click)="searchChange()">
      <span class="glyphicon glyphicon-search"></span> חיפוש
    </button>
  </div>
  <!--</form> (focus)="focus$.next($event.target.value)"
         (click)="click$.next($event.target.value)
       (ngModelChange)="onChange();""-->

</div>

<ul class="nav nav-pills">
  <li class="nav-item">
    <a class="nav-link" [routerLink]="['national']" [ngClass]="{'active': this.context.mode==='national'}">ארצי</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" [routerLink]="['district']" [ngClass]="{'active': this.context.mode==='district'}">מחוז</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" [routerLink]="['city']" [ngClass]="{'active': this.context.mode==='city'}">רשות</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" [routerLink]="['school']" [ngClass]="{'active': this.context.mode==='school'}">מוסד</a>
  </li>
</ul>
<!--

    </div>
  </div> -->
<div class="row">
  <div class="col-md-7">
    <itur-mosad *ngIf="this.context.mode==='school'" [mosdot]="listMosadot"></itur-mosad>
    <itur-district *ngIf="this.context.mode==='district'" [mosdot]="listMechozot"></itur-district>
    <itur-city *ngIf="this.context.mode==='city'" [mosdot]="listRashuyot"></itur-city>
  </div>
</div>
<!-- </div> -->
